Bug 245622 - www/osrm-backend: Fix build on CURRENT and pet portlint
Summary: www/osrm-backend: Fix build on CURRENT and pet portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Loïc Bartoletti
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-14 19:34 UTC by Peter Laursen
Modified: 2020-05-18 14:08 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
Patch that pets portlint and fixes build on CURRENT (2.37 KB, patch)
2020-04-14 19:34 UTC, Peter Laursen
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Laursen 2020-04-14 19:34:28 UTC
Created attachment 213394 [details]
Patch that pets portlint and fixes build on CURRENT

Hi,
Attached is a patch that fixes build on FreeBSD- 13.0 after the import of LLVM 10.0.
It also tries to pet portlint so that the Makefile is correctly formatted. (Formatting was done initially with portfmt).
Since this is my first maintainer update to this port, I am not sure if I need to do anything special (or set special flags).

All the best,

Peter.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-15 00:52:03 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 2 commit-hook freebsd_committer 2020-05-18 13:38:27 UTC
A commit references this bug:

Author: lbartoletti
Date: Mon May 18 13:38:12 UTC 2020
New revision: 535738
URL: https://svnweb.freebsd.org/changeset/ports/535738

Log:
  www/osrm-backend: Fix build on CURRENT and pet portlint

  PR:		245622
  Submitted by:	freebsd@mosedal.net (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24624

Changes:
  head/www/osrm-backend/Makefile
Comment 3 Loïc Bartoletti freebsd_committer 2020-05-18 14:08:30 UTC
Committed, Thanks!